var EasyCopyDomUtils = {
	getTextValue : function(id) {
		return document.getElementById(id).value;
	},
	
	getBoolValue : function(id) {
		var element = document.getElementById(id);
		if (element.hasAttribute("checked")) {
			return (element.getAttribute("checked") == "true");
		} else {
			return false;
		}
	},
	
	setTextValue : function(id, value) {
		var element = document.getElementById(id);
		element.value = value;
	},
	
	setBoolValue : function(id, value) {
		var element = document.getElementById(id);
		element.setAttribute("checked", value);
	},
	
	getColumnText : function(colId, rowIndex, tree) {
		return tree.view.getCellText(rowIndex, EasyCopyDomUtils.getColumn(colId, tree));
	},
	
	getColumnValue : function(colId, rowIndex, tree) {
		return tree.view.getCellValue(rowIndex, EasyCopyDomUtils.getColumn(colId, tree));
	},
	
	getColumn : function(colId, tree) {
		return tree.columns.getNamedColumn(colId);
	},
	
	createCheckCell : function(value) {
		var cell = document.createElement("treecell");
		cell.setAttribute("value", value);
		return cell;
	}
};