function EasyCopyClipboard() {
	EasyCopyClipboard.HTML = "text/html";
	EasyCopyClipboard.TEXT = "text/unicode";
	
	EasyCopyClipboard.prototype.copy = function(toCopy, format) {
		if (typeof format == "undefined") {
			format = EasyCopyClipboard.HTML;
		}
		
		var string = Components.classes["@mozilla.org/supports-string;1"].createInstance(Components.interfaces.nsISupportsString);
		string.data = toCopy;

		var transferable = Components.classes["@mozilla.org/widget/transferable;1"].createInstance(Components.interfaces.nsITransferable);
		transferable.addDataFlavor(format);
		transferable.setTransferData(format, string, toCopy.length * 2);
		
		// For HTML, we also copy its text version for applications that don't support HTML.
		if (format === EasyCopyClipboard.HTML) {
			transferable.addDataFlavor(EasyCopyClipboard.TEXT);
			transferable.setTransferData(EasyCopyClipboard.TEXT, string, toCopy.length * 2);
		}
		
		var clipboardId = Components.interfaces.nsIClipboard;
		var clipboard = Components.classes["@mozilla.org/widget/clipboard;1"].getService(clipboardId);
		
		clipboard.setData(transferable, null, clipboardId.kGlobalClipboard);
	};
};