var EasyCopyWindowManager = {
	allWindows : function() {
		var windowMediator = Components.classes['@mozilla.org/appshell/window-mediator;1']
				.getService(Components.interfaces.nsIWindowMediator);
	
		var browserEnumerator = windowMediator.getEnumerator('navigator:browser');
		var allWindows = [];
		while (browserEnumerator.hasMoreElements()) {
			allWindows.push(browserEnumerator.getNext());
		}
		
		return allWindows;
	},
	
	activeWindow : function() {
		var windowMediator = Components.classes['@mozilla.org/appshell/window-mediator;1']
								.getService(Components.interfaces.nsIWindowMediator);

		return windowMediator.getMostRecentWindow('navigator:browser');
	},
	
	allTabs : function(includeAllWindows) {
		var windows = null;
		if (includeAllWindows) {
			windows = EasyCopyWindowManager.allWindows();
		} else {
			windows = [EasyCopyWindowManager.activeWindow()];
		}
		
		var tabs = [];
		for (var i = 0; i < windows.length; i++) {
			var theBrowser = windows[i].gBrowser;
			for (var j = 0; j < theBrowser.browsers.length; j++) {
				var tab = theBrowser.getBrowserAtIndex(j);
				tabs.push(tab);
			}
		}
		
		return tabs;
	}
};